const admin = require("firebase-admin");
const config = require("../firebase-admin-config.js");
const seed = require('../../index.js');

// Initialize firebase-admin with the imported configuration.
admin.initializeApp(config);

// Import seeds.
seed.importCollections(admin,
    [
        seed.collection("cusers", [
            seed.doc("uphy", {
                name: 'Yuhi Ishikura',
                rooms: seed.subcollection([
                    seed.doc("room1", {
                        "ref": seed.docRef("crooms", "room1")
                    })
                ])
            }),
            seed.doc("suzuki", {
                name: 'Taro Suzuki',
                rooms: seed.subcollection([
                    seed.doc("room1", {
                        "ref": seed.docRef("crooms", "room1")
                    })
                ]),
            })
        ]),
        seed.collection("crooms", [
            seed.doc("room1", {
                name: "Room 1",
                messages: seed.subcollection([
                    seed.doc("message1", {
                        time: Date.now(),
                        content: "Message 1",
                        user: seed.docRef("cusers", "uphy")
                    })
                ])
            })
        ])
    ]
).then(() => {
    console.log("Successfully imported documents.");
}).catch(e => {
    console.log("Failed to import documents: " + e);
});
